package javax.xml.soap;

import org.w3c.dom.Document;
import javax.xml.namespace.QName;
import java.util.Locale;

public interface SOAPBody extends SOAPElement
{
    public abstract SOAPFault addFault() throws SOAPException;
    
    public abstract SOAPFault addFault(Name p0, String p1, Locale p2) throws SOAPException;
    
    public abstract SOAPFault addFault(QName p0, String p1, Locale p2) throws SOAPException;
    
    public abstract SOAPFault addFault(Name p0, String p1) throws SOAPException;
    
    public abstract SOAPFault addFault(QName p0, String p1) throws SOAPException;
    
    public abstract boolean hasFault();
    
    public abstract SOAPFault getFault();
    
    public abstract SOAPBodyElement addBodyElement(Name p0) throws SOAPException;
    
    public abstract SOAPBodyElement addBodyElement(QName p0) throws SOAPException;
    
    public abstract SOAPBodyElement addDocument(Document p0) throws SOAPException;
    
    public abstract Document extractContentAsDocument() throws SOAPException;
}
